| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
ICounterSvc::Printout Class Referencefinal

Print counters for each element in the range [first, last) e.g. More...

`#include <GaudiKernel/ICounterSvc.h>`

Collaboration diagram for ICounterSvc::Printout:
[legend]

## Public Member Functions
| Printout (ICounterSvc *svc)
| Standard initializing constructor. More...
StatusCode | operator() (MsgStream &log, const Counter *cnt) const
| Callback for printout with Counter pointers. More...
| Printout ()=delete
| no default constructor More...
| Printout (const Printout &)=delete
Printout & | operator= (const Printout &)=delete
| no assigment is allowed More...

## Private Attributes
SmartIF< ICounterSvc > | m_svc
| Reference to counter service. More...

## Detailed Description

Print counters for each element in the range [first, last) e.g.

for_each(start, end, PrintCube) ;

Author
  Markus Frank

Version
  1.0

Definition at line 108 of file ICounterSvc.h.

## Constructor & Destructor Documentation

ICounterSvc::Printout::Printout | ( | ICounterSvc * | svc | ) |

Standard initializing constructor.

Definition at line 27 of file ICounterSvc.cpp.

28 : m_svc(svc)
29 { }
ICounterSvc::Printout::m_svc
SmartIF< ICounterSvc > m_svc
Reference to counter service.
Definition: ICounterSvc.h:122

ICounterSvc::Printout::Printout | ( |  | ) |
| delete

no default constructor

ICounterSvc::Printout::Printout | ( | const Printout & |  | ) |
| delete

## Member Function Documentation

StatusCode ICounterSvc::Printout::operator() | ( | MsgStream & | log,
|  | const Counter * | cnt
| ) |  | const

Callback for printout with Counter pointers.

Definition at line 22 of file ICounterSvc.cpp.

23 { return m_svc ? m_svc->defaultPrintout(log, cnt) : StatusCode::FAILURE ; }
StatusCode::FAILURE
Definition: StatusCode.h:29
ICounterSvc::Printout::m_svc
SmartIF< ICounterSvc > m_svc
Reference to counter service.
Definition: ICounterSvc.h:122
ICounterSvc::defaultPrintout
virtual StatusCode defaultPrintout(MsgStream &log, const Counter *pCounter) const =0
Default Printout for counters.

Printout& ICounterSvc::Printout::operator= | ( | const Printout & |  | ) |
| delete

no assigment is allowed

## Member Data Documentation

SmartIF<ICounterSvc> ICounterSvc::Printout::m_svc
| private

Reference to counter service.

Definition at line 122 of file ICounterSvc.h.

The documentation for this class was generated from the following files:

- GaudiKernel/GaudiKernel/ICounterSvc.h
- GaudiKernel/src/Lib/ICounterSvc.cpp